Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.ui
Class SshToolsApplication

    java.lang.Object
      com.sshtools.common.ui.SshToolsApplication

public abstract class SshToolsApplication
extends java.lang.Object

DOCUMENT ME!

Field Summary
`protected java.util.List` | `additionalOptionsTabs` DOCUMENT ME!
`protected static java.util.Vector` | `containers` DOCUMENT ME!
`static java.lang.String` | `CROSS_PLATFORM_LAF` DOCUMENT ME!
`static java.lang.String` | `DEFAULT_LAF` DOCUMENT ME!
`protected java.lang.Class` | `defaultContainerClass` DOCUMENT ME!
`protected static org.apache.commons.logging.Log` | `log` DOCUMENT ME!
`protected static MRUListModel` | `mruModel` DOCUMENT ME!
`protected java.lang.Class` | `panelClass` DOCUMENT ME!
`static java.lang.String` | `PREF_CONNECTION_LAST_HOST` DOCUMENT ME!
`static java.lang.String` | `PREF_CONNECTION_LAST_KEY` DOCUMENT ME!
`static java.lang.String` | `PREF_CONNECTION_LAST_PORT` DOCUMENT ME!
`static java.lang.String` | `PREF_CONNECTION_LAST_USER` DOCUMENT ME!
`static java.lang.String` | `PREF_LAF` DOCUMENT ME!
`static java.lang.String` | `SYSTEM_LAF` DOCUMENT ME!

Constructor Summary
`SshToolsApplication(java.lang.Class panelClass, java.lang.Class defaultContainerClass)` Creates a new SshToolsApplication object.

Method Summary
`void` | `addAdditionalOptionsTab(OptionsTab tab)` DOCUMENT ME!
`void` | `closeContainer(SshToolsApplicationContainer container)` DOCUMENT ME!
`SshToolsApplicationContainer` | `convertContainer(SshToolsApplicationContainer container, java.lang.Class newContainerClass)` DOCUMENT ME!
`void` | `exit()` DOCUMENT ME!
`abstract java.lang.String` | `getAboutAuthors()` DOCUMENT ME!
`abstract java.lang.String` | `getAboutLicenseDetails()` DOCUMENT ME!
`abstract java.lang.String` | `getAboutURL()` DOCUMENT ME!
`OptionsTab[]` | `getAdditionalOptionsTabs()` DOCUMENT ME!
`static javax.swing.UIManager.LookAndFeelInfo[]` | `getAllLookAndFeelInfo()` DOCUMENT ME!
`abstract javax.swing.Icon` | `getApplicationLargeIcon()` DOCUMENT ME!
`abstract java.lang.String` | `getApplicationName()` DOCUMENT ME!
`abstract java.io.File` | `getApplicationPreferencesDirectory()` DOCUMENT ME!
`abstract java.lang.String` | `getApplicationVersion()` DOCUMENT ME!
`SshToolsApplicationContainer` | `getContainerAt(int idx)` DOCUMENT ME!
`int` | `getContainerCount()` DOCUMENT ME!
`SshToolsApplicationContainer` | `getContainerForPanel(SshToolsApplicationPanel panel)` DOCUMENT ME!
`MRUListModel` | `getMRUModel()` DOCUMENT ME!
`OptionsTab` | `getOptionsTab(java.lang.String title)` DOCUMENT ME!
`void` | `init(java.lang.String[] args)` DOCUMENT ME!
`SshToolsApplicationContainer` | `newContainer()` DOCUMENT ME!
`void` | `newContainer(SshToolsApplicationContainer container)` DOCUMENT ME!
`void` | `removeAdditionalOptionsTab(OptionsTab tab)` DOCUMENT ME!
`void` | `removeAdditionalOptionsTab(java.lang.String title)` DOCUMENT ME!
`static void` | `setLookAndFeel(java.lang.String className)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREF_CONNECTION_LAST_HOST

    public static final java.lang.String PREF_CONNECTION_LAST_HOST

  DOCUMENT ME!

  See Also:
    Constant Field Values

### PREF_CONNECTION_LAST_USER

    public static final java.lang.String PREF_CONNECTION_LAST_USER

  DOCUMENT ME!

  See Also:
    Constant Field Values

### PREF_CONNECTION_LAST_PORT

    public static final java.lang.String PREF_CONNECTION_LAST_PORT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### PREF_CONNECTION_LAST_KEY

    public static final java.lang.String PREF_CONNECTION_LAST_KEY

  DOCUMENT ME!

  See Also:
    Constant Field Values

### PREF_LAF

    public static final java.lang.String PREF_LAF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### CROSS_PLATFORM_LAF

    public static final java.lang.String CROSS_PLATFORM_LAF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### DEFAULT_LAF

    public static final java.lang.String DEFAULT_LAF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SYSTEM_LAF

    public static final java.lang.String SYSTEM_LAF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### containers

    protected static java.util.Vector containers

  DOCUMENT ME!

### log

    protected static org.apache.commons.logging.Log log

  DOCUMENT ME!

### mruModel

    protected static MRUListModel mruModel

  DOCUMENT ME!

### panelClass

    protected java.lang.Class panelClass

  DOCUMENT ME!

### defaultContainerClass

    protected java.lang.Class defaultContainerClass

  DOCUMENT ME!

### additionalOptionsTabs

    protected java.util.List additionalOptionsTabs

  DOCUMENT ME!

Constructor Detail

### SshToolsApplication

    public SshToolsApplication(java.lang.Class panelClass,
                               java.lang.Class defaultContainerClass)

  Creates a new SshToolsApplication object.

Parameters:
  `panelClass` - DOCUMENT ME!
  `defaultContainerClass` - DOCUMENT ME!

Method Detail

### getAllLookAndFeelInfo

    public static javax.swing.UIManager.LookAndFeelInfo[] getAllLookAndFeelInfo()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getMRUModel

    public MRUListModel getMRUModel()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getApplicationName

    public abstract java.lang.String getApplicationName()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getApplicationVersion

    public abstract java.lang.String getApplicationVersion()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getApplicationLargeIcon

    public abstract javax.swing.Icon getApplicationLargeIcon()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getAboutLicenseDetails

    public abstract java.lang.String getAboutLicenseDetails()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getAboutURL

    public abstract java.lang.String getAboutURL()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getAboutAuthors

    public abstract java.lang.String getAboutAuthors()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getApplicationPreferencesDirectory

    public abstract java.io.File getApplicationPreferencesDirectory()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getAdditionalOptionsTabs

    public OptionsTab[] getAdditionalOptionsTabs()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### addAdditionalOptionsTab

    public void addAdditionalOptionsTab(OptionsTab tab)

  DOCUMENT ME!

  Parameters:
    `tab` - DOCUMENT ME!

### removeAdditionalOptionsTab

    public void removeAdditionalOptionsTab(OptionsTab tab)

  DOCUMENT ME!

  Parameters:
    `tab` - DOCUMENT ME!

### removeAdditionalOptionsTab

    public void removeAdditionalOptionsTab(java.lang.String title)

  DOCUMENT ME!

  Parameters:
    `title` - DOCUMENT ME!

### getOptionsTab

    public OptionsTab getOptionsTab(java.lang.String title)

  DOCUMENT ME!

  Parameters:
    `title` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### exit

    public void exit()

  DOCUMENT ME!

### getContainerCount

    public int getContainerCount()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getContainerAt

    public SshToolsApplicationContainer getContainerAt(int idx)

  DOCUMENT ME!

  Parameters:
    `idx` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getContainerForPanel

    public SshToolsApplicationContainer getContainerForPanel(SshToolsApplicationPanel panel)

  DOCUMENT ME!

  Parameters:
    `panel` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### closeContainer

    public void closeContainer(SshToolsApplicationContainer container)

  DOCUMENT ME!

  Parameters:
    `container` - DOCUMENT ME!

### newContainer

    public SshToolsApplicationContainer newContainer()
                                              throws SshToolsApplicationException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `SshToolsApplicationException` - DOCUMENT ME!

### newContainer

    public void newContainer(SshToolsApplicationContainer container)
                      throws SshToolsApplicationException

  DOCUMENT ME!

  Parameters:
    `container` - DOCUMENT ME!
  Throws:
    `SshToolsApplicationException` - DOCUMENT ME!

### convertContainer

    public SshToolsApplicationContainer convertContainer(SshToolsApplicationContainer container,
                                                         java.lang.Class newContainerClass)
                                                  throws SshToolsApplicationException

  DOCUMENT ME!

  Parameters:
    `container` - DOCUMENT ME!
    `newContainerClass` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `SshToolsApplicationException` - DOCUMENT ME!

### init

    public void init(java.lang.String[] args)
              throws SshToolsApplicationException

  DOCUMENT ME!

  Parameters:
    `args` - DOCUMENT ME!
  Throws:
    `SshToolsApplicationException` - DOCUMENT ME!

### setLookAndFeel

    public static void setLookAndFeel(java.lang.String className)
                               throws java.lang.Exception

  DOCUMENT ME!

  Parameters:
    `className` - DOCUMENT ME!
  Throws:
    `java.lang.Exception` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD